#
#   Copyright (C) 2021 Reiko Asakura. All Rights Reserved.
#
#   Vita Development Suite PSP2 CMake Toolchains 0.1.4
#

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/Modules)

set(CMAKE_SYSTEM_NAME      PSP2)
set(CMAKE_SYSTEM_VERSION   0x03600000)
set(CMAKE_SYSTEM_PROCESSOR armv7-a)

set(CMAKE_SYSROOT        $ENV{SCE_PSP2_SDK_DIR}/target CACHE PATH "Sysroot path")
set(CMAKE_INSTALL_PREFIX ${CMAKE_SYSROOT}              CACHE PATH "Install path prefix")

set(CMAKE_C_COMPILER_ID   SNC)
set(CMAKE_CXX_COMPILER_ID SNC)
set(CMAKE_ASM_COMPILER_ID SNC)

set(CMAKE_C_COMPILER_ID_RUN   TRUE)
set(CMAKE_CXX_COMPILER_ID_RUN TRUE)

file(TO_CMAKE_PATH $ENV{SCE_PSP2_SDK_DIR} __SCE_PSP2_SDK_DIR)

set(CMAKE_C_COMPILER   ${__SCE_PSP2_SDK_DIR}/host_tools/build/bin/psp2snc.exe CACHE STRING "C compiler")
set(CMAKE_CXX_COMPILER ${__SCE_PSP2_SDK_DIR}/host_tools/build/bin/psp2snc.exe CACHE STRING "C++ compiler")
set(CMAKE_ASM_COMPILER ${__SCE_PSP2_SDK_DIR}/host_tools/build/bin/psp2snc.exe CACHE STRING "ASM compiler")

set(CMAKE_LINKER ${__SCE_PSP2_SDK_DIR}/host_tools/build/bin/psp2ld.exe    CACHE STRING "Linker")
set(CMAKE_AR     ${__SCE_PSP2_SDK_DIR}/host_tools/build/bin/psp2snarl.exe CACHE STRING "Archiver")

unset(__SCE_PSP2_SDK_DIR)

set(PSP2_SNC_STANDARD_INCLUDE_DIRECTORIES
  $ENV{SCE_PSP2_SDK_DIR}/target/include
  $ENV{SCE_PSP2_SDK_DIR}/target/include_common
  $ENV{SCE_PSP2_SDK_DIR}/host_tools/build/include
)
